#
# spec file for package yast2-saptune
#
# Copyright (c) 2016-2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           yast2-saptune
Version:        1.3
Release:        3.3.1
License:        GPL-3.0
Summary:        An alternative and minimal interface for configuring saptune
Url:            https://www.suse.com/products/sles-for-sap
Group:          System/YaST
Source:         %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  yast2 yast2-ruby-bindings yast2-devtools
BuildRequires:  rubygem(yast-rake) rubygem(rspec)
Requires:       yast2

%description
This is a configuration editor for saptune - the comprehensive tuning management
tool for SAP solutions.
It works in both stand-alone and AutoYast mode to automatically configure
saptune and control its state.

%prep
%setup -q

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%doc %yast_docdir
%yast_desktopdir/saptune*
%yast_clientdir/saptune*
%yast_libdir/saptune*

%changelog
* Mon Jul  1 2019 abriel@suse.com
- version update from 1.2 to 1.3 to include the following fixes:
- Fixes for bsc#1135879
  Fix to disable tuned daemon, if saptune is not configured.
  Adjust some misleading messages and lables.
  Adapt the new saptune solution behaviour.
  Add new path to the fillup-template directory.
- Fix typo. bsc#1077615
  sap-installation-wizard runs into an error (installing HANA2)
* Tue Aug  2 2016 hguo@suse.com
- Disable sapconf if its configuration hasn't been altered.
  Fix bsc#988186 and bump version to 1.2.
* Fri Jul  8 2016 hguo@suse.com
- If sapconf is activiated, control sapconf instead of saptune.
  Fix bsc#988186 and bump version to 1.1.
* Fri Jun  3 2016 hguo@suse.com
- Fix icon name and an unused function.
- Always enable saptune in automatically generated configuration.
- fate#320405
* Wed May 18 2016 hguo@suse.com
- Initial version. Implement fate#320405.
